Does iBank 4 work with Mac OS X Yosemite?

iBank 4 has not been tested with OS X Yosemite.  The last supported version of OS X officially supported with iBank 4 is OS X 10.9, Mavericks.  We would recommend upgrading to iBank 5 when upgrading to OS X 10.10, Yosemite.